Skip to main content

Dynamic Currency Conversion Standalone Credits


This section provides the information you need to process a stand-alone credit with Dynamic Currency Conversion.

Endpoints

POST /pts/v2/credits/

POST /pts/v2/credits/

Example

{  "clientReferenceInformation": {    "code": "CRI Code",    "comments": "IndustrySpecificValue",    "partner": {      "developerId": "ptpDevID",      "solutionId": "ptpSolutionId",      "thirdPartyCertificationNumber": "ptpTPCN"    },    "transactionId": "uniqueTranId123"  },  "merchantInformation": {    "transactionLocalDateTime": "20240122115959"  },  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": 9900.00,      "originalAmount": 9428.57,      "originalCurrency": "EUR"    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "entryMode": "contact",    "terminalCapability": 4,    "terminalPinCapability": 0,    "trackData": ";4176xxxxxxxxx0034=311220111523358?",    "emv": {      "cardSequenceNumber": "03",      "tags": "820220008407A0000000031010950500000000009F33030060C09F02060000009900009F03060000000001009F1A0208409C01005F2A0208409A032404179F3704543B54D19F3501219F34031F03025F3401039F10201F220100A000000000564953414C3354455354434153450000000000000000009F2608F152DAE24E7A27DA9F2701809F360200029F6E0420700080"    }  },  "processingInformation": {    "commerceIndicator": "retail"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/credits/7413014196666547104807/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/credits/7413014196666547104807"    }  },  "clientReferenceInformation": {    "comments": "IndustrySpecificValue",    "code": "CRI Code",    "partner": {      "developerId": "ptpDevID",      "solutionId": "ptpSolutionId"    },    "transactionId": "uniqueTranId123"  },  "creditAmountDetails": {    "currency": "USD",    "creditAmount": "9900.00"  },  "id": "7413014196666547104807",  "orderInformation": {    "amountDetails": {      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "reconciliationId": "7413014196666547104807",  "status": "PENDING",  "submitTimeUtc": "2025-03-06T22:50:19Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.commentsSet the value to UseIndustryDesignatedValue.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.originalAmount—
orderInformation.amountDetails.originalCurrency—
orderInformation.amountDetails.totalAmount—
pointOfSaleInformation.emv.tags—
pointOfSaleInformation.entryMode—
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.terminalPinCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.

Last published: September 29, 2026